<?php
include 'header.php';
include_once 'connect.php';
include 'erpc_excecao_fiscal_toolbar.php'; //Nome da tabela _list.php

// Método para post de Query Avançada
	$consulta = "select e.id, g.ds_grupo, c.ds_tipo, nr_aliq_interna, nr_aliq_externa, nr_mva
from  erpc_excecao_fiscal e 
left  join erpc_dom_tipo_cliente c on e.id_tipo = c.id
left  join erpc_grupo_tributacao g on e.id_grupo_tributacao = g.id
where e.st_ativo= 1";

	//Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$id 		= $_POST['id'];

		/* Remover ou formatar campos numericos
		$hr_inicio= "0000" . preg_replace("/[^0-9]/", "", $hr_inicio);
		$hr_fim   = "0000" . preg_replace("/[^0-9]/", "", $hr_fim);*/

		$consulta .= (!empty($id)            			? " and id            like '%$id%'"            				: '');
		$consulta .= (!empty($id_grupo_tributacao)? " and id            like '%$id_grupo_tributacao%'"  : '');
		$consulta .= (!empty($id_grupo_clifor)    ? " and id            like '%$id_grupo_clifor%'"      : '');
		$consulta .= (!empty($id_tipo)            ? " and id            like '%$id_tipo%'"            	: '');
		$consulta .= (!empty($nr_aliq_interna)   ? " and id            like '%$nr_aliq_interna%'"     : '');
		$consulta .= (!empty($nr_aliq_externa)   ? " and id            like '%$nr_aliq_externa%'"     : '');
		$consulta .= (!empty($nr_perc_aliq_icms)  ? " and id            like '%$nr_perc_aliq_icms%'"    : '');
		$consulta .= (!empty($nr_vlr_ipi_pauta)   ? " and id            like '%$nr_vlr_ipi_pauta%'"     : '');
		$consulta .= (!empty($nr_vlr_pis_pauta)   ? " and id            like '%$nr_vlr_pis_pauta%'"     : '');
		$consulta .= (!empty($nr_vlr_cof_pauta)   ? " and id            like '%$nr_vlr_cof_pauta%'"     : '');
		$consulta .= (!empty($nr_perc_aliq_pis)   ? " and id            like '%$nr_perc_aliq_pis%'"     : '');
		$consulta .= (!empty($nr_perc_aliq_cof)   ? " and id            like '%$nr_perc_aliq_cof%'"     : '');
		$consulta .= (!empty($nr_vlr_red_pis)     ? " and id            like '%$nr_vlr_red_pis%'"       : '');
		$consulta .= (!empty($nr_vlr_red_cof)     ? " and id            like '%$nr_vlr_red_cof%'"       : '');
	}


?>

<div class="block">
  <div class="header">
    <h2>Exceções Fiscais para Clientes / Fornecedores</h2>
  </div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
				<th width=10%>ID</th>
				<th width=20%>Grupo Tributação</th>
				<th width=20%>Tipo</th>
				<th width=13%>% Aliquota Iterna</th>
				<th width=13%>% Aliquota Externa</th>
				<th width=13%>% MVA</th>
				<th width=05%>Editar</th>
				<th width=05%>Excluir</th>
			    </tr>
        </thead>
        <tbody>

          <?php
			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

				$id 	 = $registro['id'];
				$ds_grupo= $registro['ds_grupo'];
				$ds_tipo = $registro['ds_tipo'];
				$nr_aliq_interna = number_format($registro['nr_aliq_interna'], 2, ',', '.');
				$nr_aliq_externa = number_format($registro['nr_aliq_externa'], 2, ',', '.');
				$nr_mva 		 = number_format($registro['nr_mva'], 2, ',', '.');
				$id_crip         = base64_encode($id);

					/* $nm_dia  = $registro['hr_fim'];
				  $hr_inicio = substr("0000". $hr_inicio, -4);
				  $hr_fim    = substr("0000". $hr_fim   , -4);
					*/

						echo "<tr>";
			      echo "<td>$id</td>";
						echo "<td>$ds_grupo</td>";
						echo "<td>$ds_tipo</td>";
						echo "<td>$nr_aliq_interna</td>";
						echo "<td>$nr_aliq_externa</td>";
						echo "<td>$nr_mva</td>";

	          echo "<td class='text-center'><a href='erpc_excecao_fiscal_edit.php?id=$id_crip'  ><i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
	          echo "<td class='text-center'><a href='erpc_excecao_fiscal_remove.php?id=$id_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
	          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
